C -----------------------------------------------------------------
	SUBROUTINE A3D3(NSET,ISWITCH,NSAM,IRAD,RI,RREC,
     +           AMAGP,DATC,DATQ,CTFF,CTFS,ASUM,VSUM,PSUM,
     +           C3DF,KSUM,
     +           PHI,THETA,PSI,DSHX,DSHY,PRESA,PBC,BOFF,
     +           A3DF,A3DS,S3DF,S3DS,STD,D3DF,D3DS,V3DF,
     +           V3DS,VTD,
     +           NN1,MAXSET,SINCLUT,IRADA,IPAD,THETATR,
     +           IEWALD,C3DS,
     +           NSYM,ISYM,JSYM,SYMOP,
     +           NNSTAT,NKSUM,
     +           IFSC,IMP)
C -----------------------------------------------------------------
C         Put alternating particles into A3 or D3
C	  Used in LMAIN
C	  Calls PINSERT
C -----------------------------------------------------------------
	IMPLICIT NONE
	INTEGER NN1,PBC,IRAD,NSAM,ISWITCH,MAXSET,NSET
	INTEGER KSUM(*),IPAD,IRADA,NSYM,ISYM(*)
        INTEGER IEWALD,IMP,JSYM(*),IFSC,NNSTAT
        INTEGER*8 NKSUM
	REAL RREC(*),AMAGP,DSHX,DSHY,BOFF,RI
	REAL S3DF(*),S3DS(*),SYMOP(3,3,*)
	REAL V3DF(*),V3DS(*)
        REAL ASUM(*),VSUM(*),PSUM(*)
	REAL PSI,THETA,PHI,PRESA,SINCLUT(*)
        REAL THETATR
	DOUBLEPRECISION STD,VTD
	COMPLEX CTFF(*),CTFS(*)
	COMPLEX DATC(*),DATQ(*),C3DF(*)
        COMPLEX A3DF(*),A3DS(*)
        COMPLEX D3DF(*),D3DS(*),C3DS(*)
C -----------------------------------------------------------------
        IF (ISWITCH.EQ.0) THEN
          CALL PINSERT(NSAM,IRAD,RI,RREC(NSET),AMAGP,DATC,DATQ,
     +    CTFF,CTFS,A3DF,A3DS,S3DF,S3DS,A3DF,A3DS,S3DF,S3DS,
     +    STD,PHI,THETA,PSI,DSHX,DSHY,PRESA,PBC,BOFF,
     +    ASUM,VSUM,PSUM,C3DF,KSUM,1,SINCLUT,IRADA,IPAD,
     +    THETATR/AMAGP,IEWALD,C3DS,NSYM,ISYM,
     +    JSYM,SYMOP,NNSTAT,NKSUM,IMP)
          IF (IFSC.LE.2) ISWITCH=1
        ELSE
          IF (IFSC.EQ.0)
     +    CALL PINSERT(NSAM,IRAD,RI,RREC(NSET),AMAGP,DATC,DATQ,
     +    CTFF,CTFS,D3DF,D3DS,V3DF,V3DS,D3DF,D3DS,V3DF,V3DS,
     +    VTD,PHI,THETA,PSI,DSHX,DSHY,PRESA,PBC,BOFF,
     +    ASUM,VSUM,PSUM,C3DF,KSUM,1,SINCLUT,IRADA,IPAD,
     +    THETATR/AMAGP,IEWALD,C3DS,NSYM,ISYM,
     +    JSYM,SYMOP,NNSTAT,NKSUM,IMP)
          ISWITCH=0
        ENDIF
	RETURN
	END
